Name:          classmate
Version:       0.5.4
Release:       %mkrel 5
Summary:       Java introspection library
Group:         Development/Java
License:       ASL 2.0
Url:           http://github.com/cowtowncoder/java-classmate/
# git clone git://github.com/cowtowncoder/java-classmate.git classmate-0.5.4
# cd classmate-0.5.4/ && git archive --format=tar --prefix=classmate-0.5.4/ classmate-0.5.4 | xz > ../classmate-0.5.4.tar.xz
Source0:       %{name}-%{version}.tar.xz
# classmate package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Library for introspecting types with full generic information
including resolving of field and method types.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find . -name "*.class" -delete
find . -name "*.jar" -delete

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE-2.0.txt README release-notes.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.5.4-5.mga4
+ Revision: 545813
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.5.4-4.mga4
+ Revision: 501863
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 347824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 0.5.4-2.mga3
+ Revision: 325829
- Java Stack Mass Rebuild

* Sun Aug 14 2011 dmorgan <dmorgan> 0.5.4-0.mga2
+ Revision: 133046
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package classmate

